import { Change } from '@schematics/angular/utility/change';
import * as ts from 'typescript';
export declare function createRemoveChange(sourceFile: ts.SourceFile, node: ts.Node, pos?: number, toRemove?: string): RemoveChange;
export declare class RemoveChange implements Change {
    path: string;
    pos: number;
    toRemove: string;
    type: string;
    order: number;
    description: string;
    constructor(path: string, pos: number, toRemove: string);
    apply(host: any): Promise<void>;
}
export declare class InsertChange implements Change {
    path: string;
    pos: number;
    toAdd: string;
    type: string;
    order: number;
    description: string;
    constructor(path: string, pos: number, toAdd: string);
    apply(host: any): any;
}
export declare class NoopChange implements Change {
    type: string;
    description: string;
    order: number;
    path: null;
    apply(): Promise<void>;
}
export declare class ReplaceChange implements Change {
    path: string;
    pos: number;
    oldText: string;
    newText: string;
    type: string;
    order: number;
    description: string;
    constructor(path: string, pos: number, oldText: string, newText: string);
    apply(host: any): Promise<void>;
}
