"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readJsonInTree = void 0;
function readJsonInTree(host, path) {
    if (!host.exists(path)) {
        throw new Error(`Cannot find ${path}`);
    }
    // tslint:disable-next-line:no-non-null-assertion
    const contents = host.read(path).toString('utf-8');
    try {
        return JSON.parse(contents);
    }
    catch (e) {
        throw new Error(`Cannot parse ${path}: ${e.message}`);
    }
}
exports.readJsonInTree = readJsonInTree;
